## UfoTaskNode

UfoTaskNode — Node type for tasks

## Functions

void | ufo_task_node_setup ()
void | ufo_task_node_set_plugin_name ()
const gchar * | ufo_task_node_get_plugin_name ()
void | ufo_task_node_set_package_name ()
const gchar * | ufo_task_node_get_package_name ()
const gchar * | ufo_task_node_get_identifier ()
void | ufo_task_node_set_identifier ()
void | ufo_task_node_set_send_pattern ()
UfoSendPattern | ufo_task_node_get_send_pattern ()
void | ufo_task_node_set_num_expected ()
gint | ufo_task_node_get_num_expected ()
void | ufo_task_node_set_out_group ()
UfoGroup * | ufo_task_node_get_out_group ()
void | ufo_task_node_add_in_group ()
UfoGroup * | ufo_task_node_get_current_in_group ()
void | ufo_task_node_switch_in_group ()
void | ufo_task_node_set_proc_node ()
UfoNode * | ufo_task_node_get_proc_node ()
void | ufo_task_node_set_partition ()
void | ufo_task_node_get_partition ()
void | ufo_task_node_set_profiler ()
void | ufo_task_node_reset ()
UfoProfiler * | ufo_task_node_get_profiler ()
void | ufo_task_node_increase_processed ()

## Properties

guint | num-processed | Read

## Types and Values

struct | UfoTaskNode
struct | UfoTaskNodeClass

## Object Hierarchy

        GObject
        ╰── UfoNode
            ╰── UfoTaskNode
                ├── UfoCopyTask
                ├── UfoDummyTask
                ├── UfoInputTask
                ╰── UfoOutputTask

## Description

The node type that is inserted into a UfoTaskGraph and keeps common data.

## Functions

### ufo_task_node_setup ()

    void
    ufo_task_node_setup (UfoTaskNode *node);

### ufo_task_node_set_plugin_name ()

    void
    ufo_task_node_set_plugin_name (UfoTaskNode *node,
                                   const gchar *name);

### ufo_task_node_get_plugin_name ()

    const gchar *
    ufo_task_node_get_plugin_name (UfoTaskNode *node);

### ufo_task_node_set_package_name ()

    void
    ufo_task_node_set_package_name (UfoTaskNode *node,
                                    const gchar *name);

### ufo_task_node_get_package_name ()

    const gchar *
    ufo_task_node_get_package_name (UfoTaskNode *node);

### ufo_task_node_get_identifier ()

    const gchar *
    ufo_task_node_get_identifier (UfoTaskNode *node);

### ufo_task_node_set_identifier ()

    void
    ufo_task_node_set_identifier (UfoTaskNode *node,
                                  const gchar *name);

### ufo_task_node_set_send_pattern ()

    void
    ufo_task_node_set_send_pattern (UfoTaskNode *node,
                                    UfoSendPattern pattern);

### ufo_task_node_get_send_pattern ()

    UfoSendPattern
    ufo_task_node_get_send_pattern (UfoTaskNode *node);

### ufo_task_node_set_num_expected ()

    void
    ufo_task_node_set_num_expected (UfoTaskNode *node,
                                    guint pos,
                                    gint n_expected);

### ufo_task_node_get_num_expected ()

    gint
    ufo_task_node_get_num_expected (UfoTaskNode *node,
                                    guint pos);

### ufo_task_node_set_out_group ()

    void
    ufo_task_node_set_out_group (UfoTaskNode *node,
                                 UfoGroup *group);

### ufo_task_node_get_out_group ()

    UfoGroup *
    ufo_task_node_get_out_group (UfoTaskNode *node);

Get the current out of `node` . The out group is used to fetch the ouput buffer for `node` using `ufo_group_pop_output_buffer()`.

#### Parameters

node | A UfoTaskNode |

#### Returns

The out group of `node` .

[transfer full]

### ufo_task_node_add_in_group ()

    void
    ufo_task_node_add_in_group (UfoTaskNode *node,
                                guint pos,
                                UfoGroup *group);

### ufo_task_node_get_current_in_group ()

    UfoGroup *
    ufo_task_node_get_current_in_group (UfoTaskNode *node,
                                        guint pos);

Several nodes can be connected to input `pos` of `node` . However, at a time `node` will fetch only one buffer from all its inputs. This method returns the currently selected input group at `pos` .

#### Parameters

node | A UfoTaskNode |
pos | Input position of `node` |

#### Returns

The current in group of `node` for `pos` .

[transfer full]

### ufo_task_node_switch_in_group ()

    void
    ufo_task_node_switch_in_group (UfoTaskNode *node,
                                   guint pos);

### ufo_task_node_set_proc_node ()

    void
    ufo_task_node_set_proc_node (UfoTaskNode *task_node,
                                 UfoNode *proc_node);

### ufo_task_node_get_proc_node ()

    UfoNode *
    ufo_task_node_get_proc_node (UfoTaskNode *node);

Get the associated processing node of `node` .

#### Parameters

node | A UfoTaskNode |

#### Returns

A UfoNode.

[transfer full]

### ufo_task_node_set_partition ()

    void
    ufo_task_node_set_partition (UfoTaskNode *node,
                                 guint index,
                                 guint total);

### ufo_task_node_get_partition ()

    void
    ufo_task_node_get_partition (UfoTaskNode *node,
                                 guint *index,
                                 guint *total);

### ufo_task_node_set_profiler ()

    void
    ufo_task_node_set_profiler (UfoTaskNode *node,
                                UfoProfiler *profiler);

### ufo_task_node_reset ()

    void
    ufo_task_node_reset (UfoTaskNode *node);

Reset a task node so it can be re-used a second time.

#### Parameters

node | A UfoTaskNode |

### ufo_task_node_get_profiler ()

    UfoProfiler *
    ufo_task_node_get_profiler (UfoTaskNode *node);

Get the associated profiler of `node` .

#### Parameters

node | A UfoTaskNode |

#### Returns

A UfoProfiler object.

[transfer full]

### ufo_task_node_increase_processed ()

    void
    ufo_task_node_increase_processed (UfoTaskNode *node);

## Types and Values

### struct UfoTaskNode

    struct UfoTaskNode;

Main object for organizing filters. The contents of the UfoTaskNode structure are private and should only be accessed via the provided API.

### struct UfoTaskNodeClass

    struct UfoTaskNodeClass {
    };

UfoTaskNode class

## Property Details

### The `“num-processed”` property

      “num-processed”            guint

Number of processed elements.

Owner: UfoTaskNode

Flags: Read

Default value: 0